classification
Title: Silence resource warnings in test_httplib
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ashkop, demian.brecht, martin.panter, python-dev, vstinner
Priority: normal Keywords: patch

Created on 2015-02-26 07:35 by ashkop, last changed 2015-03-11 10:32 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
test_httplib_warnings.patch ashkop, 2015-02-26 07:35 the patch review
httplib.patch vstinner, 2015-02-26 16:30 review
Messages (9)
msg236652 - (view) Author: Alex Shkop (ashkop) * Date: 2015-02-26 07:35
Three resource warnings are present in test_httplib.
Patch closes HTTPSConnection in test_networked_noverification, test_networked_trusted_by_default_cert, test_networked_good_cert.
msg236657 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-02-26 09:44
+1 from me. These three fixes are practically the same as the ones I snuck into my patch for a Issue 23377.
msg236679 - (view) Author: Demian Brecht (demian.brecht) * (Python triager) Date: 2015-02-26 15:40
LGTM
msg236684 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-02-26 16:30
I was going to commit the fix, but currently the 3.4 is not merged into default. I will wait until 3.4 is merged into default to apply the fix.

I attach my pending commit.

(Python 3.4 is also afffected.)
msg236786 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-02-27 16:47
New changeset 056d71d7bb28 by Victor Stinner in branch '3.4':
Issue #23526: Fix ResourceWarning in test_httplib. Patch written by Alex Shkop.
https://hg.python.org/cpython/rev/056d71d7bb28
msg236787 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-02-27 16:48
I applied your patch. Thanks Alex Shkop! (FYI I also added your name to Misc/ACKS.)
msg236798 - (view) Author: Alex Shkop (ashkop) * Date: 2015-02-27 17:19
Thanks, great to hear.
I'm glad to help)
msg237853 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-03-11 08:48
I think this one can be closed. Let me know if I was mistaken :)
msg237854 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-03-11 08:51
> I think this one can be closed. Let me know if I was mistaken :)

Correct, I forgot to close it, thanks.
History
Date User Action Args
2015-03-11 10:32:58berker.peksagsetstage: commit review -> resolved
2015-03-11 08:51:05vstinnersetmessages: + msg237854
2015-03-11 08:48:49martin.pantersetstatus: open -> closed
resolution: fixed
messages: + msg237853
2015-02-27 17:19:00ashkopsetmessages: + msg236798
2015-02-27 16:48:28vstinnersetmessages: + msg236787
2015-02-27 16:47:52python-devsetnosy: + python-dev
messages: + msg236786
2015-02-26 16:30:55vstinnersetfiles: + httplib.patch
versions: + Python 3.4
nosy: + vstinner

messages: + msg236684
2015-02-26 15:41:09demian.brechtsetstage: patch review -> commit review
2015-02-26 15:40:52demian.brechtsetnosy: + demian.brecht
messages: + msg236679

type: behavior
stage: patch review
2015-02-26 09:44:57martin.pantersetnosy: + martin.panter
messages: + msg236657
2015-02-26 07:35:36ashkopcreate